/*
 File:		MoriarityController.h

 Description: 	This is the header for our "controller" class that operates 
 as the go-between for the view (the UI) and the model (the locate database).  
 The point of this code is to show how you can wrap a UNIX task in a nice 
 Cocoa GUI, and get back the output (which you could then operate on or 
 parse further if you choose).
 
 Original:	http://developer.apples.com/samplecode/Moriarity/Moriarity.html
 
 Modifications:	Added a "slink" button to UI for "going back" operations.

 $Header: /usr/local/cvsrep/NoFrillsInstaller/MoriarityController.h,v 1.2 2004/10/04 12:08:11 kitzelh Exp $
*/


#import <Cocoa/Cocoa.h>
#import "TaskWrapper.h"

enum {
    nfiPhaseReadme = 0,
    nfiPhaseLicense,
    nfiPhaseInstall,
    nfiPhaseDone,
    nfiPhaseExit,
    nfiPhaseUninstall
};

//we conform to the ProcessController protocol, as defined in Process.h
@interface MoriarityController : NSObject <TaskWrapperController>
{
    IBOutlet id resultsTextField;
    IBOutlet id window;
    IBOutlet NSButton *sleuthButton;
    IBOutlet NSButton *slinkButton;
    BOOL findRunning;
    TaskWrapper *theTask;
    int phase;
}
- (IBAction)sleuth:(id)sender; // the action that gets executed when the button is pushed
- (IBAction)slink:(id)sender; // the action that gets executed when the button is pushed
@end
